BIND 9の脆弱性 ( CVE-2017-3145 ) — | サイオスOSS | サイオステクノロジー

こんにちは。SIOS OSSエバンジェリスト/セキュリティ担当の面です。

01/17/2018に、BINDに関して脆弱性情報 ( CVE-2017-3145 )が出ています。今回は、こちらの脆弱性の概要と、各ディストリビューションの対応について簡単にまとめてみます。



一次情報源

BIND 9 Security Vulnerability Matrix

CVE番号 影響するバージョン プライオリティ 攻撃
CVE-2017-3145 9.0.0 to 9.8.x, 9.9.0 to 9.9.11, 9.10.0 to 9.10.6, 9.11.0 to 9.11.2, 9.9.3-S1 to 9.9.11-S1, 9.10.5-S1 to 9.10.6-S1, 9.12.0a1 to 9.12.0rc1 High リモート

Priority

High

CVSS

CVSS Score: 7.5

CVSS Vector: CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:H

修正方法

各ディストリビューションの情報を確認してください。

暫定回避策

この問題によりnamedがクラッシュした場合には、パッチ適用済みのバージョンに上げるまで、DNSSECバリデーションを無効にしてください。

CVE概要(詳細はCVEのサイトをご確認ください)

  • CVE-2017-3145
    • リモートからのnamedのクラッシュ
    • 重要度 - High
    • BINDでは、上流の再帰的なfetchコンテキストのシーケンスのクリーンアップ操作の順序に誤りがあり、use-after-freeが発生し、アサーションエラーとnamedのクラッシュが発生する可能性があります。

      現在の時点ではDNSSECバリデーションを行っているリゾルバで [9.9.9-P8 to 9.9.11, 9.10.4-P8 to 9.10.6, 9.11.0-P5 to 9.11.2, 9.9.9-S10 to 9.9.11-S1, 9.10.5-S1 to 9.10.6-S1, and 9.12.0a1 to 9.12.0rc1] のバージョンのISC BINDではこのバグによりクラッシュ(netaddr.cでのアサーションフェイラー)が発生することがわかっています。

      精細は各ディストリビューターの情報を参考にしてください。


主なディストリビューションの対応方法

詳細は、各ディストリビューションの提供元にご確認ください


対処方法

各ディストリビューションの案内に従い、アップデートを行ってください。全てのRed Hat製品でパッチが行き渡っているかを確認するには、Red Hat Satelliteを使うと管理が便利でしょう。

Red Hat Satelliteを用いた一般的なErattaの適用は、『Red Hat Satellite 6でerrataを適用してみる』を 参考にして下さい。

また、アプリケーションの再起動が発生しますので、pacemakerなどOSSのクラスタ製品LifeKeeperなどの商用のクラスタリング製品を使うとサービス断の時間を最小限にすることが出来ます。

OSSに関するお困りごとは サイオス OSSよろず相談室まで

サイオスOSSよろず相談室 では、OSSを利用する中で発生する問題に対し、長年培ってきた技術力・サポート力をもって企業のOSS活用を強力に支援します。Red Hat Enterprise Linux のほか、CentOS をご利用されている環境でのサポートも提供いたします。

セキュリティ系連載案内


セミナー情報

著者が所属しているOSSセキュリティ技術の会では、02/23/(金)に「3コマ連続 [セキュリティトラック] OSSと脆弱性管理」と題して、OSSの利用と脆弱性管理に関しての、パネルディスカッションを含めたセッションを行います。

https://www.ospn.jp/osc2018-spring/modules/eguide/event.php?eid=49がプログラム内容の詳細になりますので、是非お申し込み下さい。

OSSに関するお困りごとは サイオス OSSよろず相談室まで

サイオスOSSよろず相談室 では、OSSを利用する中で発生する問題に対し、長年培ってきた技術力・サポート力をもって企業のOSS活用を強力に支援します。Red Hat Enterprise Linux のほか、CentOS をご利用されている環境でのサポートも提供いたします。

前へ

Ansibleに複数の脆弱性(CVE-2017-7466, CVE-2017-7473, CVE-2017-7481) — | サイオスOSS | サイオステクノロジー

次へ

ランサムウェアSamsam(Samas)による攻撃とJBossの脆弱性(CVE-2010-0738) — | サイオスOSS | サイオステクノロジー